// public component API

// Layout components
export { default as Layout } from "./src/layouts/layout"
export { default as Content } from "./src/layouts/content"

// Core components
export { default as Button } from "./src/components/core/Button"
export { default as Card } from "./src/components/core/Card"
export { default as Link } from "./src/components/core/Link"
export { default as Search } from "./src/components/core/Search"
export { default as Badge } from "./src/components/core/Badge"
export { default as Toc } from "./src/components/core/Toc"
export { default as Footer } from "./src/components/Footer"
export { default as Map } from "./src/components/core/Map"
export { default as Image } from "./src/components/core/Image"
export { default as Stats } from "./src/components/Stats"
export { default as CardList } from "./src/components/core/CardList"
export { default as TitleComponent } from "./src/components/core/TitleComponent"

// Feature components
export { default as Hero } from "./src/components/Hero"
export { default as News } from "./src/components/News"
export { default as Feature } from "./src/components/Feature"
export { default as Partners } from "./src/components/Partners"
export { default as Events } from "./src/components/Events"

//Carousel components
export { default as Carousel } from "./src/components/core/Carousel"

// Logo components
export { default as Logo } from "./src/components/core/Logo"

// Socials components
export { default as Socials } from "./src/components/Socials"

// Cookies components
export { default as Cookies } from "./src/components/Cookies"

// Menu components
export { default as Menu } from "./src/components/core/Menu"

// Header components
export { default as Header } from "./src/components/Header"

// Section components
export { default as Section } from "./src/components/Section"

// Data components
export { default as Data } from "./src/components/Data"

// Section components
export { default as Sections } from "./src/components/Sections"
export { default as Component } from "./src/components/section/component"

// Maps components
export { default as Maps } from "./src/components/Maps"
// Iframe components
export { default as Iframe } from "./src/components/core/Iframe"

// Marquee components
export { default as Marquee } from "./src/components/core/Marquee"

// Text component
export { default as Text } from "./src/components/Text"

export { isArray, isBoolean, isObject, isString, merge } from "./src/utils"

//Page context
export { usePageContext } from "./src/context/page"
